curl --request POST \
--url https://api.example.com/v1/sdk/payment-intents/{processorPaymentId}/business-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isBusiness": true,
"businessName": "<string>",
"country": "<string>",
"customerCity": "<string>",
"customerCountry": "<string>",
"customerLine1": "<string>",
"customerLine2": "<string>",
"customerName": "<string>",
"customerPostalCode": "<string>",
"customerRef": "<string>",
"customerState": "<string>",
"taxId": "<string>"
}
'import requests
url = "https://api.example.com/v1/sdk/payment-intents/{processorPaymentId}/business-details"
payload = {
"isBusiness": True,
"businessName": "<string>",
"country": "<string>",
"customerCity": "<string>",
"customerCountry": "<string>",
"customerLine1": "<string>",
"customerLine2": "<string>",
"customerName": "<string>",
"customerPostalCode": "<string>",
"customerRef": "<string>",
"customerState": "<string>",
"taxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isBusiness: true,
businessName: '<string>',
country: '<string>',
customerCity: '<string>',
customerCountry: '<string>',
customerLine1: '<string>',
customerLine2: '<string>',
customerName: '<string>',
customerPostalCode: '<string>',
customerRef: '<string>',
customerState: '<string>',
taxId: '<string>'
})
};
fetch('https://api.example.com/v1/sdk/payment-intents/{processorPaymentId}/business-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taxBreakdown": {
"currency": "<string>",
"inclusive": true,
"subtotal": 123,
"taxAmount": 123,
"taxRate": 123,
"total": 123,
"treatment": "reverse_charge",
"taxType": "amusement_tax"
}
}Attach business tax details to a payment intent
Applies business or consumer tax location to a payment intent and returns the calculated tax breakdown.
Authorizations
Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer token.
Path Parameters
Stripe payment intent ID (pi_…)
Body
Whether the purchase is on behalf of a business
Legal business name
ISO 3166-1 alpha-2 country code
Billing city
ISO 3166-1 alpha-2 billing country (non-business consumers)
Billing address line 1
Billing address line 2
Customer full name
100Billing postal code (required by Stripe Tax for US)
Customer reference to persist business tax details on the customer record. Only honored by the payment-intent business-details endpoint; ignored on the checkout-session endpoint.
Billing state/region
Tax / VAT identification number
Tax ID type
eu_vat, gb_vat, us_ein Response
Business details applied and tax breakdown returned
Calculated tax breakdown
Show child attributes
Show child attributes